#include "SCallback.h"


CSCallback::CSCallback()
{	
    m_MapString.insert(map<int, QString>::value_type(SET_TRANSPORT_LAYER_TYPE, "Set Transport Layer Type"));
    m_MapString.insert(map<int, QString>::value_type(SET_PRESENTATION_ADDRESSES, "Set Presentation Addresses"));
    m_MapString.insert(map<int, QString>::value_type(ADD_PRESENTATION_CONTEXT, "Add Presentation Context"));
    m_MapString.insert(map<int, QString>::value_type(REQUEST_ASSOCIATION, "Request Association"));
    m_MapString.insert(map<int, QString>::value_type(COUNT_ACCEPTED_PRESENTATION_CONTEXTS, "Count Accepted Presentation Contexts"));
    m_MapString.insert(map<int, QString>::value_type(CHECK_USER_IDENTITY_RESPONSE, "Check User Identity Response"));
    m_MapString.insert(map<int, QString>::value_type(ABORT_ASSOCIATION, "Abort Association"));
    m_MapString.insert(map<int, QString>::value_type(REJECTED_ASSOCIATION, "Release Association"));
    m_MapString.insert(map<int, QString>::value_type(UNKNOWN_ERROR_ASSOCIATION, "Unknown Error Association"));
    m_MapString.insert(map<int, QString>::value_type(RELEASE_ASSOCIATION, "Release Association"));
    m_MapString.insert(map<int, QString>::value_type(DESTROY_ASSOCIATION, "Destroy Association"));
    m_MapString.insert(map<int, QString>::value_type(PEER_REQUESTED_RELEASE, "Peer Requested Release"));
    m_MapString.insert(map<int, QString>::value_type(PEER_ABORTED_ASSOCIATION, "Peer Aboarted Association"));
    m_MapString.insert(map<int, QString>::value_type(CONNECTION_ERROR, "Connection Error"));
    m_MapString.insert(map<int, QString>::value_type(DROP_NETWORK, "Drop Network"));
    m_MapString.insert(map<int, QString>::value_type(COMPLETED, "Completed"));
    m_MapString.insert(map<int, QString>::value_type(COMPLETE, "Complete"));
    m_MapString.insert(map<int, QString>::value_type(CREATE_ASSOCIATION, "Create Association"));
    m_MapString.insert(map<int, QString>::value_type(TRY_FINDSCU, "Try Find SCU"));
    m_MapString.insert(map<int, QString>::value_type(INITIALIZE_NETWORK, "Initialize Network"));
    m_MapString.insert(map<int, QString>::value_type(CREATE_ASSOCIATION_PARAMETERS, "Create Association Parameters"));
    m_MapString.insert(map<int, QString>::value_type(SET_APTITLES, "Set AP Titles"));
    m_MapString.insert(map<int, QString>::value_type(ADD_STORAGE_PRESENTATION_CONTEXTS, "Add Storage Presentation Contexts"));
    m_MapString.insert(map<int, QString>::value_type(TRY_STORE_SCU, "Try Store SCU"));

	Clear();
}


CSCallback::~CSCallback()
{
}

void CSCallback::ProgressInfo(int nState)
{

}

void CSCallback::ProgressError(int nState)
{

}

void CSCallback::ProgressComplete()
{

}

void CSCallback::ProgressState(int nProgressBytes, int nTotalBytes)
{

}

QString CSCallback::GetStateString(int nState)
{
	nState = (nState & ~SDCM_ERROR);
    map<int, QString>::iterator it = m_MapString.find(nState);
    QString strComment = it->second;

	return strComment;
}

void CSCallback::Clear()
{
	m_bErrorExist = FALSE;
    m_nErrorCode = 0;
}



